### Method

# Pango LayoutIterget_char_extents

#### Declaration [src]

    void
    pango_layout_iter_get_char_extents (
      PangoLayoutIter* iter,
      PangoRectangle* logical_rect
    )

#### Description [src]

Gets the extents of the current character, in layout coordinates.

Layout coordinates have the origin at the top left of the entire layout.

Only logical extents can sensibly be obtained for characters; ink extents make sense only down to the level of clusters.

#### Parameters

`logical_rect`

  Type: `PangoRectangle`

  Rectangle to fill with logical extents.

  The argument will be set by the function.
  The data is owned by the instance.